cURL
curl -X POST "https://api.onekhusa.com/sandbox/v1/disbursements/single/reverse/simulate" \
--header "Authorization: Bearer your-jwt-token" \
--header "Content-Type: application/json" \
--header "Accept-Language: en" \
--header "X-Idempotency-Key: your-idempotency-key" \
-d '{
"merchantAccountNumber": 35253486,
"capturedBy": "johndoe@example.com",
"transactionReferenceNumber": "D250713MGGGY"
}'import requests
url = "https://api.onekhusa.com/sandbox/v1/disbursements/single/reverse/simulate"
payload = {
"merchantAccountNumber": 35253486,
"capturedBy": "johndoe@example.com",
"transactionReferenceNumber": "D250713MGGGY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantAccountNumber: 35253486,
capturedBy: 'johndoe@example.com',
transactionReferenceNumber: 'D250713MGGGY'
})
};
fetch('https://api.onekhusa.com/sandbox/v1/disbursements/single/reverse/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Transaction reversed successfully"Test Your Integration
Simulate Single Disbursement Reversal
This endpoint simulates the reversal of a single disbursement transaction for testing purposes. It allows merchants to test the reversal flow without actually processing a real reversal.
This is a sandbox-only endpoint for testing integration. It does not process actual reversals in production.
POST
/
disbursements
/
single
/
reverse
/
simulate
cURL
curl -X POST "https://api.onekhusa.com/sandbox/v1/disbursements/single/reverse/simulate" \
--header "Authorization: Bearer your-jwt-token" \
--header "Content-Type: application/json" \
--header "Accept-Language: en" \
--header "X-Idempotency-Key: your-idempotency-key" \
-d '{
"merchantAccountNumber": 35253486,
"capturedBy": "johndoe@example.com",
"transactionReferenceNumber": "D250713MGGGY"
}'import requests
url = "https://api.onekhusa.com/sandbox/v1/disbursements/single/reverse/simulate"
payload = {
"merchantAccountNumber": 35253486,
"capturedBy": "johndoe@example.com",
"transactionReferenceNumber": "D250713MGGGY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchantAccountNumber: 35253486,
capturedBy: 'johndoe@example.com',
transactionReferenceNumber: 'D250713MGGGY'
})
};
fetch('https://api.onekhusa.com/sandbox/v1/disbursements/single/reverse/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Transaction reversed successfully"Authorizations
Bearer authentication header of the form Bearer Token, Where accessToken is the access token used to authenticate the request.
Body
application/json
Required string length: 8
Required range:
10000000 <= x <= 99999999Example:
35253486
Email address of the user initiating the reversal
Example:
"johndoe@example.com"
The unique transaction reference number to reverse
Example:
"D250713MGGGY"
Response
200 - application/json
Success Response (200 OK)
āI